Subject: bug#39799: 28.0.50; Most emoji sequences don’t render correctly

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Feb 2020 19:19:38 +0200

> From: Mike FABIAN <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 29 Feb 2020 18:03:01 +0100
> 
> >> I think I don’t understand that completely. But you seem to say that it
> >> is possible to make Emacs use different fonts for U+24C2 and the
> >> sequence U+24C2 U+FE0F ?
> >
> > It should be possible, yes.  Define a new face, and make that face use
> > a font that can display sequences like U+24C2 U+FE0E.  Then put a
> > 'face' text property whose value is that face you defined, on the text
> > containing such a sequence.  This should force Emacs to use the font
> > you specified for that stretch of text, regardless of the fontset and
> > the default font.
> 
> But that would be a manual process? Or would it be displayed like that
> by default?

We could do something automatically using JIT font-lock mechanism,
perhaps.

> > Given that we don't really see why sequences with U+FE0E are needed,
> > perhaps requiring Lisp programs which do want to display such
> > sequences to use a special face is not such a big deal?
> 
> Ah, I see, something like
> 
> (require 'improve-emoji-display)
> 
> which does this magic defining such a face.

Yes.